V1 Create Cursor

Create a cursor to paginate large data sets.

Usage Notes

  • The cursor expires after 5 minutes of inactivity. However, with continuous use, you can keep the cursor alive up to a maximum of 12 hours.
  • A maximum of 10 cursors are allowed. Creation of the 11th cursor will result in the removal of the oldest cursor that is marked for expiration.
  • The limit query parameter may be overridden by the server. The server will calculate the optimal limit depending upon the requested number of loans and fields.
  • The cursorType is randomAccess which allows you to randomly assign a start position to start the pagination to retrieve data for the specified cursor.
  • When specifying a cursorType, the request can only include a filter attribute.
  • The x-total-count is a response header attribute that indicates the total number of loans matching your filter criteria.
  • The x-cursor is a response header attribute that represents the name of the cursor.
  • This API requires Encompass 17.3 or greater.
Query Params
string
Defaults to randomAccess

cursorType is randomAccess. Required only for pagination.

int32
Defaults to 0

Zero-based starting index. The default is zero.

string

The maximum number of items to return in a page. Please refer to the Usage Notes section.

Body Params
json
required

Filters results by CanonicalName, Value*, MatchType, Terms, Operator, Precision, or Include*
Note that
value" is not required on date field filters using the isEmpty and isNotEmpty** matchTypes.

json

Comma-separated list of field IDs.

json

Sort results to either or both:
- CanonicalName: One or more Encompass Pipeline field definitions.
- Order: specify asc or desc.

Headers
string
required

Bearer token

Responses

Language
Response
Choose an example:
application/json